// project created on 24/05/2003 at 22:55
using System;
using System.Windows.Forms;
using J4L.MicroQRCode;
using System.Drawing.Printing;

namespace MyForm 
{
	class BarcodeForm : System.Windows.Forms.Form
    {
        private System.Windows.Forms.Button btnRefresh;
        private System.Windows.Forms.Button btnExit;
        private System.Windows.Forms.Button btnPrint;
        private System.Windows.Forms.Button btnSave;

        private MicroQRcode bc;
        private TabPage tabPage;
        private ComboBox cEC;
        private CheckBox chkAutoconfigurate;
        private TextBox textMargin;
        private TextBox cModuleSize;
        private TextBox txtData;
        private Label label11;
        private Label label9;
        private Label label8;
        private ComboBox cFormat;
        private Label label7;
        private ComboBox cEncoding;
        private Label label6;
        private Label label4;
        private TabControl tabControl;		
		private PrintDocument printDocument1;		
		
		public BarcodeForm()
		{
			InitializeComponent();
			
			
			bc.AutoConfigurate=true;
			cEncoding.SelectedIndex=0;
			
			btnRefreshClick(null,null);
		}
	
		// THIS METHOD IS MAINTAINED BY THE FORM DESIGNER
		// DO NOT EDIT IT MANUALLY! YOUR CHANGES ARE LIKELY TO BE LOST
		void btnRefreshClick(object sender, System.EventArgs e)
		{
			
		//encoding
		bc.Encoding=MicroQRcode.ENC_AUTO;
		if (cEncoding.SelectedIndex!=0) {
            if (((string)cEncoding.SelectedItem).Equals("BYTE")) bc.Encoding = MicroQRcode.ENC_BYTE;
            if (((string)cEncoding.SelectedItem).Equals("NUMERIC")) bc.Encoding = MicroQRcode.ENC_NUMERIC;
            if (((string)cEncoding.SelectedItem).Equals("ALPHA")) bc.Encoding = MicroQRcode.ENC_ALPHA;
            if (((string)cEncoding.SelectedItem).Equals("KANJI")) bc.Encoding = MicroQRcode.ENC_KANJI;
		}
		
		//value
		bc.Code=txtData.Text;
		bc.ProcessTilde=true;
		//format
		bc.PreferredVersion=1;
		if (cFormat.SelectedIndex>=0)  {
			//Console.WriteLine("selected version si " + cFormat.SelectedItem);
            bc.PreferredVersion = Convert.ToInt32(cFormat.SelectedIndex) + 1;
		}


		bc.AutoConfigurate=this.chkAutoconfigurate.Checked;
		//dots size
		bc.ModuleSize=Convert.ToInt32(cModuleSize.Text);
		//margin
		bc.QRCodeMargin=Convert.ToInt32(textMargin.Text);
		//correction level
		bc.ErrorCorrectionLevel=MicroQRcode.CORRECTION_LEVEL_L;
		if (cEC.SelectedIndex>=0) {
            if (((string)cEC.SelectedItem).Equals("Q")) bc.ErrorCorrectionLevel = MicroQRcode.CORRECTION_LEVEL_Q;
            if (((string)cEC.SelectedItem).Equals("M")) bc.ErrorCorrectionLevel = MicroQRcode.CORRECTION_LEVEL_M;
		}

		bc.Redraw=true;

		bc.Invalidate();
			
		}
		
		void btnSaveClick(object sender, System.EventArgs e)
		{
			btnRefreshClick(sender,e);
			bc.saveToFile("bc.gif","GIF");
			//bc.saveToFile("bc.jpg","JPEG");
			MessageBox.Show("Barcode saved to bc.gif");
			
		}
		
		private void printDocument1_PrintPage(object sender, 
			System.Drawing.Printing.PrintPageEventArgs e)
			{
   				//e.Graphics.FillRectangle(Brushes.Red, 
     			//new Rectangle(500, 500, 500, 500));

				
				bc.paint(e.Graphics);
				
			}		
		
		void btnPrintClick(object sender, System.EventArgs e)
		{
			printDocument1=new PrintDocument();
			this.printDocument1.PrintPage += new System.Drawing.Printing.PrintPageEventHandler(this.printDocument1_PrintPage);			
			printDocument1.Print();
			
		}
		
		void btnExitClick(object sender, System.EventArgs e)
		{
	this.Close();		
		}
		
		void InitializeComponent() {
            this.btnSave = new System.Windows.Forms.Button();
            this.btnPrint = new System.Windows.Forms.Button();
            this.bc = new J4L.MicroQRCode.MicroQRcode();
            this.btnExit = new System.Windows.Forms.Button();
            this.btnRefresh = new System.Windows.Forms.Button();
            this.tabPage = new System.Windows.Forms.TabPage();
            this.label4 = new System.Windows.Forms.Label();
            this.txtData = new System.Windows.Forms.TextBox();
            this.label6 = new System.Windows.Forms.Label();
            this.cEncoding = new System.Windows.Forms.ComboBox();
            this.label7 = new System.Windows.Forms.Label();
            this.cFormat = new System.Windows.Forms.ComboBox();
            this.label8 = new System.Windows.Forms.Label();
            this.cModuleSize = new System.Windows.Forms.TextBox();
            this.label9 = new System.Windows.Forms.Label();
            this.label11 = new System.Windows.Forms.Label();
            this.textMargin = new System.Windows.Forms.TextBox();
            this.chkAutoconfigurate = new System.Windows.Forms.CheckBox();
            this.cEC = new System.Windows.Forms.ComboBox();
            this.tabControl = new System.Windows.Forms.TabControl();
            this.tabPage.SuspendLayout();
            this.tabControl.SuspendLayout();
            this.SuspendLayout();
            // 
            // btnSave
            // 
            this.btnSave.Location = new System.Drawing.Point(144, 432);
            this.btnSave.Name = "btnSave";
            this.btnSave.Size = new System.Drawing.Size(75, 23);
            this.btnSave.TabIndex = 2;
            this.btnSave.Text = "Save";
            this.btnSave.Click += new System.EventHandler(this.btnSaveClick);
            // 
            // btnPrint
            // 
            this.btnPrint.Location = new System.Drawing.Point(240, 432);
            this.btnPrint.Name = "btnPrint";
            this.btnPrint.Size = new System.Drawing.Size(75, 23);
            this.btnPrint.TabIndex = 3;
            this.btnPrint.Text = "Print";
            this.btnPrint.Click += new System.EventHandler(this.btnPrintClick);
            // 
            // bc
            // 
            this.bc.AutoConfigurate = true;
            this.bc.BarBackColor = System.Drawing.Color.White;
            this.bc.BarForeColor = System.Drawing.Color.Black;
            this.bc.BinaryCode = null;
            this.bc.Code = "";
            this.bc.Encoding = 4;
            this.bc.ErrorCorrectionLevel = 0;
            this.bc.Location = new System.Drawing.Point(8, 8);
            this.bc.ModuleSize = 4;
            this.bc.Name = "bc";
            this.bc.PreferredVersion = 1;
            this.bc.ProcessTilde = false;
            this.bc.QRCodeMargin = 30;
            this.bc.Redraw = true;
            this.bc.Size = new System.Drawing.Size(440, 176);
            this.bc.TabIndex = 6;
            // 
            // btnExit
            // 
            this.btnExit.Location = new System.Drawing.Point(336, 432);
            this.btnExit.Name = "btnExit";
            this.btnExit.Size = new System.Drawing.Size(75, 23);
            this.btnExit.TabIndex = 4;
            this.btnExit.Text = "Exit";
            this.btnExit.Click += new System.EventHandler(this.btnExitClick);
            // 
            // btnRefresh
            // 
            this.btnRefresh.Location = new System.Drawing.Point(48, 432);
            this.btnRefresh.Name = "btnRefresh";
            this.btnRefresh.Size = new System.Drawing.Size(75, 23);
            this.btnRefresh.TabIndex = 1;
            this.btnRefresh.Text = "Refresh";
            this.btnRefresh.Click += new System.EventHandler(this.btnRefreshClick);
            // 
            // tabPage
            // 
            this.tabPage.Controls.Add(this.cEC);
            this.tabPage.Controls.Add(this.chkAutoconfigurate);
            this.tabPage.Controls.Add(this.textMargin);
            this.tabPage.Controls.Add(this.cModuleSize);
            this.tabPage.Controls.Add(this.txtData);
            this.tabPage.Controls.Add(this.label11);
            this.tabPage.Controls.Add(this.label9);
            this.tabPage.Controls.Add(this.label8);
            this.tabPage.Controls.Add(this.cFormat);
            this.tabPage.Controls.Add(this.label7);
            this.tabPage.Controls.Add(this.cEncoding);
            this.tabPage.Controls.Add(this.label6);
            this.tabPage.Controls.Add(this.label4);
            this.tabPage.Location = new System.Drawing.Point(4, 22);
            this.tabPage.Name = "tabPage";
            this.tabPage.Size = new System.Drawing.Size(432, 198);
            this.tabPage.TabIndex = 0;
            this.tabPage.Text = "Symbol";
            // 
            // label4
            // 
            this.label4.Location = new System.Drawing.Point(16, 16);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(40, 23);
            this.label4.TabIndex = 0;
            this.label4.Text = "Data";
            // 
            // txtData
            // 
            this.txtData.Location = new System.Drawing.Point(56, 16);
            this.txtData.Name = "txtData";
            this.txtData.Size = new System.Drawing.Size(296, 20);
            this.txtData.TabIndex = 1;
            this.txtData.Text = "123456789012";
            // 
            // label6
            // 
            this.label6.Location = new System.Drawing.Point(16, 48);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(64, 23);
            this.label6.TabIndex = 4;
            this.label6.Text = "Encoding";
            this.label6.Click += new System.EventHandler(this.Label6Click);
            // 
            // cEncoding
            // 
            this.cEncoding.Items.AddRange(new object[] {
            "AUTO",
            "ALPHA",
            "NUMERIC",
            "BYTE",
            "KANJI"});
            this.cEncoding.Location = new System.Drawing.Point(96, 48);
            this.cEncoding.Name = "cEncoding";
            this.cEncoding.Size = new System.Drawing.Size(112, 21);
            this.cEncoding.TabIndex = 5;
            this.cEncoding.Text = "AUTO";
            // 
            // label7
            // 
            this.label7.Location = new System.Drawing.Point(16, 80);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(64, 23);
            this.label7.TabIndex = 6;
            this.label7.Text = "Version";
            // 
            // cFormat
            // 
            this.cFormat.Items.AddRange(new object[] {
            "1",
            "2",
            "3",
            "4"});
            this.cFormat.Location = new System.Drawing.Point(96, 80);
            this.cFormat.Name = "cFormat";
            this.cFormat.Size = new System.Drawing.Size(112, 21);
            this.cFormat.TabIndex = 7;
            this.cFormat.Text = "1";
            // 
            // label8
            // 
            this.label8.Location = new System.Drawing.Point(16, 110);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(80, 23);
            this.label8.TabIndex = 8;
            this.label8.Text = "Module size";
            // 
            // cModuleSize
            // 
            this.cModuleSize.Location = new System.Drawing.Point(95, 113);
            this.cModuleSize.Name = "cModuleSize";
            this.cModuleSize.Size = new System.Drawing.Size(112, 20);
            this.cModuleSize.TabIndex = 9;
            this.cModuleSize.Text = "4";
            // 
            // label9
            // 
            this.label9.Location = new System.Drawing.Point(224, 48);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(96, 23);
            this.label9.TabIndex = 10;
            this.label9.Text = "Correction Level";
            // 
            // label11
            // 
            this.label11.Location = new System.Drawing.Point(224, 113);
            this.label11.Name = "label11";
            this.label11.Size = new System.Drawing.Size(96, 23);
            this.label11.TabIndex = 14;
            this.label11.Text = "Margin";
            // 
            // textMargin
            // 
            this.textMargin.Location = new System.Drawing.Point(336, 113);
            this.textMargin.Name = "textMargin";
            this.textMargin.Size = new System.Drawing.Size(80, 20);
            this.textMargin.TabIndex = 15;
            this.textMargin.Text = "20";
            // 
            // chkAutoconfigurate
            // 
            this.chkAutoconfigurate.CheckAlign = System.Drawing.ContentAlignment.BottomRight;
            this.chkAutoconfigurate.Checked = true;
            this.chkAutoconfigurate.CheckState = System.Windows.Forms.CheckState.Checked;
            this.chkAutoconfigurate.Location = new System.Drawing.Point(224, 80);
            this.chkAutoconfigurate.Name = "chkAutoconfigurate";
            this.chkAutoconfigurate.Size = new System.Drawing.Size(168, 16);
            this.chkAutoconfigurate.TabIndex = 16;
            this.chkAutoconfigurate.Text = "Autoconfigurate";
            this.chkAutoconfigurate.TextAlign = System.Drawing.ContentAlignment.TopLeft;
            // 
            // cEC
            // 
            this.cEC.Items.AddRange(new object[] {
            "L",
            "M",
            "Q"});
            this.cEC.Location = new System.Drawing.Point(336, 48);
            this.cEC.Name = "cEC";
            this.cEC.Size = new System.Drawing.Size(88, 21);
            this.cEC.TabIndex = 17;
            this.cEC.Text = "L";
            // 
            // tabControl
            // 
            this.tabControl.Controls.Add(this.tabPage);
            this.tabControl.Location = new System.Drawing.Point(8, 192);
            this.tabControl.Name = "tabControl";
            this.tabControl.SelectedIndex = 0;
            this.tabControl.Size = new System.Drawing.Size(440, 224);
            this.tabControl.TabIndex = 5;
            this.tabControl.SelectedIndexChanged += new System.EventHandler(this.TabControlSelectedIndexChanged);
            // 
            // BarcodeForm
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(456, 462);
            this.Controls.Add(this.bc);
            this.Controls.Add(this.tabControl);
            this.Controls.Add(this.btnExit);
            this.Controls.Add(this.btnPrint);
            this.Controls.Add(this.btnSave);
            this.Controls.Add(this.btnRefresh);
            this.Name = "BarcodeForm";
            this.Text = "QRCode Code Demo";
            this.tabPage.ResumeLayout(false);
            this.tabPage.PerformLayout();
            this.tabControl.ResumeLayout(false);
            this.ResumeLayout(false);

		}
			
	public static void Main(string[] args)
		{
		
			Application.Run(new BarcodeForm());
		}
		
		void Label6Click(object sender, System.EventArgs e)
		{
			
		}
		
		void TabControlSelectedIndexChanged(object sender, System.EventArgs e)
		{
			
		}
		
	}			
}
